function udata=raveinitializeudatacontour(src,ev)

handles=guidata(src);

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
%inputs.xdials=[];

for dd=numel(handles.alldata):-1:1 %for each dataset:
    z=find(handles.isfunction{dd},1);
    if ~isempty(z)
        inputs.z=z;
        inputs.dataset=dd;
        X=handles.funvars{dd}{z};
        X=X(~strcmp('constant',handles.datatype{dd}(X)));
        inputs.x=X(1);
        if numel(X)>1
            inputs.y=X(2);
        else
            inputs.y=X(1);
        end

        udata.view.isvalid=1;
        break
    end
end

if isempty(z) || isempty(inputs.x);
    inputs.x=[];
    inputs.y=[];
    inputs.z=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
end

%initialize subplot axes structure:
handles.subax{handles.activeindex}=[];
handles.subfakeax{handles.activeindex}=[];
handles.subfakerax{handles.activeindex}=[];

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.y=inputs.y;
udata.view.x=inputs.x;
udata.view.z=inputs.z;
udata.view.c=0;
udata.view.s=0;

udata.view.c=inputs.z;
udata.view.response=0; %response check box value
udata.view.exclude=0; %exclude constant check box value
udata.view.layout='square'; %options: square, lower, upper, rectangle.
udata.view.ncont=20; %number of contours to draw
udata.view.smooth=20; %number of points to use in contour grid
udata.view.constraints=0; %indicies of constraints drawn on this graph.
udata.view.clim=[0 1];


%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.mcmap=handles.prefs.defaultcolormap; %marker colormap (index?)
udata.format.markerfill=2;
udata.format.linestyle=':'; %line style string
udata.format.linesize=1; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.colorbar=1;
udata.format.colormapping='global';
udata.format.clim=[];
udata.format.cbarhandle=0;
udata.format.title='';
udata.format.reversecolors=0;
udata.format.tracersize=1; 
udata.format.usevariablecolors=0; %for tracers
udata.format.tracercolor=handles.colors.text;
udata.format.showpoints=0;
udata.format.nxlabelrows=0;

%make explre tab info:
udata.explore.method=cell(0);
udata.explore.option=1;