function buttondownfcnline(src,ev)
%determines what to do when a scatter plot is clicked, then does it.

handles=guidata(src);
src=ancestor(src,'axes');
ai=find(handles.allgraphs==src);
udata=get(handles.fakeax(ai),'userdata');

switch get(handles.fig,'selectiontype')
    case 'normal'
        
        switch handles.selectionmode
            case {'point','box','lasso'}
                boxselectline(src,[]);
            otherwise %do nothing
        end
    case 'alt'
        if src==gca
            raveboxzoom2d(src,[]);
        end
end


function unselectfcn(src,ev)
%determine which point was clicked:
handles=guidata(src);
ai=find(handles.allgraphs==src);
udata=get(handles.fakeax(ai),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;
handles.isselected{d}{a}=false(size(handles.isselected{d}{a}));
guidata(src,handles);

%update other graphs:
raveupdateanalysis(src,[],'isselected',[],d,a);




