function buttondownfcndensity(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2012 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% Written by Matt Daskilewicz, with minor contributions from David Pate
handles=guidata(src);
ai=find(handles.allgraphs==gca);

%determine if selection is active:
switch handles.selectionmode
    case 'point'
        %note: point selection happens by clicking data series, not axes.
        %set(udata.view.mainhandles,'HitTest','on')
         pointselectdensity(src,[]);
    case 'box'
        %set(get(handles.allgraphs(ai),'children'),'HitTest','off')
        boxselectdensity(src,[]);
    case 'lasso'
        %set(get(handles.allgraphs(ai),'children'),'HitTest','off')
        lassoselectdensity(src,[]);
    otherwise %do nothing
        %set(get(handles.allgraphs(ai),'children'),'HitTest','off')    
end






