function udata=raveinitializeudatabarcategorical(src,ev)

handles=guidata(src);

d=1; %default data set index

iscategorical=find(ismember(handles.datatype{d},'discrete') | ismember(handles.datatype{d},'string'),1);
isnumerical = find(~ismember(handles.datatype{d},'string'),2);
if isnumerical(1)==iscategorical;isnumerical=isnumerical(2);end;

if isempty(iscategorical) || isempty(isnumerical)
    udata.view.x=0; %x axis (categorical)
    udata.view.y=0; %y axis (numerical)
    udata.view.z=0; %stack by (categorical)
    udata.view.c=0; %unused
    udata.view.s=0; %unused
else
    udata.view.x=iscategorical; %x axis (categorical)
    udata.view.y=isnumerical(1); %y axis (numerical)
    udata.view.z=0; %stack by (categorical) 0 = none.
    udata.view.c=0; %unused
    udata.view.s=0; %unused
end

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.constraints=0;
udata.view.response=0; %response check box value
udata.view.barwidth=1; %relative width of bars.
udata.view.normalize=0; %show percentages instead of counts;
udata.view.stack=1; %stack vertically instead of horizontally;
udata.view.aggregateby=1; %1=sum, 2=average
udata.view.series={'main','selected','filtered'};


%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.facecolor=[.3 .6 1]; %bar face color
udata.format.edgecolor=handles.colors.edgecolor;
udata.format.drawedge=1;
udata.format.orient='vertical'; %bar orientation
udata.format.nxlabelrows=0;


%make explre tab info:
udata.explore.option=1;
udata.explore.method=cell(0);

