function udata=raveinitializeudataoverlayscatter(src,ev)

handles=guidata(src);

%make scatter graph with x=1st independent, y=1st response, c=none

d=1; %default data set index

if ~all(handles.isresponse{d}==0)
    x=find((~handles.isconstant{d} & ~handles.isresponse{d}),1);
    y=find((~handles.isconstant{d} & handles.isresponse{d}),1);
    c=0;
    s=0;
else
    x=find((~handles.isconstant{d}),1);
    y=find((~handles.isconstant{d}),1);
    c=0;
    s=0;

end

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.path=handles.defaultdir;
udata.view.filename='';
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.invalid=1; %invalid until an image is selected
udata.view.linked=0;
udata.view.x=x;
udata.view.y=y;
udata.view.c=c;
udata.view.s=s;
udata.view.z=0;
udata.view.response=0;  %response check box value
udata.view.exclude=0;   %exclude constant check box value
udata.view.limits=[];   %values supplied by ravecreateoverlayscatter
udata.view.grabbers=[]; %values supplied by ravecreateoverlayscatter
udata.view.imagecoordinates=[]; %values defined when user defines coordinate system
udata.view.tform=[]; %values defined when user defines coordinate system
udata.view.constraints=0;
udata.view.fastresize=0;
udata.view.series={'main','selected','filtered'};


%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=2; %index for grid;
udata.format.marker='o'; % marker string
udata.format.minmarkersize=16; %min marker size (pixels^2)
udata.format.maxmarkersize=625; %max marker size (pixels^2)
udata.format.markerfill=2; %marker fill style index.
udata.format.mcmap=1; %marker colormap (index?)
udata.format.linestyle='-'; %line style string
udata.format.linesize=2; %line thickness;
%udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.ncolor=0; %noisy colors check box value;
udata.format.colorbar=0;
udata.format.cbarhandle=0;
udata.format.reversecolors=0;
udata.format.nxlabelrows=0;
udata.format.edgecolor=handles.colors.edgecolor;

%make explre tab info:
udata.explore.option=1;
udata.explore.method=cell(0);
