function ui=makemodeluicontrolsrse(src,ev)  

u=findobj(gcf,'type','uipanel');

ui(1)=uicontrol('style','text','Position',[520 320 300 20],'string','Effects:','fontsize',10,'fontweight','bold',...
    'hor','left','backgroundcolor',[1 1 1],'userdata','methodcontrol','parent',u);

ui(2)=uicontrol('style','pushbutton','Position',[540 280 150 34],'string','Choose Terms','fontsize',10,'fontweight','normal',...
    'hor','left','userdata','methodcontrol','callback',@ravechooseterms,'parent',u);

ui(3)=axes('units','pixels','position',[700-50 0 32 32],'visible','off','parent',u,'color',[1 0 0]);
iii=imread('greencheck.png','backgroundcolor',[1 1 1]);
ui(4)=image(iii,'parent',ui(3));
axis(ui(3),'image');
set(ui(3),'vis','off');
set(ui(4),'vis','off');

ui(14)=uicontrol('style','checkbox','Position',[540 250 300 20],'string','Include intercept term','fontsize',10,'fontweight','normal',...
    'hor','left','backgroundcolor',[1 1 1],'value',1,'tag','includeinterceptcheck','userdata','methodcontrol','parent',u);

ui(5)=uicontrol('style','text','Position',[520 220 300 20],'string','Transformations:','fontsize',10,'fontweight','bold',...
    'hor','left','backgroundcolor',[1 1 1],'userdata','methodcontrol','parent',u);

ui(6)=uicontrol('style','text','Position',[540 200 300 20],'string','Before fitting, transform by: ','fontsize',10,'fontweight','normal',...
    'hor','left','backgroundcolor',[1 1 1],'userdata','methodcontrol','parent',u);

ui(7)=uicontrol('style','popup','position',[700 202 100 20],'string',{'none';'exp(y)';'log(y)';'1/y'},...
    'backgroundcolor',[1 1 1],'userdata','methodcontrol','parent',u);

ui(8)=uicontrol('style','text','Position',[520 170 300 20],'string','Post Processing:','fontsize',10,'fontweight','bold',...
    'hor','left','backgroundcolor',[1 1 1],'userdata','methodcontrol','parent',u);

ui(9)=uicontrol('style','text','Position',[540 150 300 20],'string','Save only largest         effects','fontsize',10,'fontweight','normal',...
    'hor','left','backgroundcolor',[1 1 1],'userdata','methodcontrol','parent',u);

ui(10)=uicontrol('style','edit','Position',[643 152 30 20],'string','inf','fontsize',10,'fontweight','normal',...
    'hor','center','backgroundcolor',[1 1 1],'userdata','methodcontrol','tag','maxeffectsedit','parent',u);

ui(11)=uicontrol('style','text','Position',[540 128 300 20],'string','Exclude effects with t-ratio larger than','fontsize',10,'fontweight','normal',...
    'hor','left','backgroundcolor',[1 1 1],'userdata','methodcontrol','parent',u);

ui(12)=uicontrol('style','edit','Position',[763 130 30 20],'string','.999','fontsize',10,'fontweight','normal',...
    'hor','center','backgroundcolor',[1 1 1],'userdata','methodcontrol','tag','maxtratioedit','parent',u);

ui(13)=uicontrol('style','checkbox','Position',[540 108 300 20],'string','Optimize equations for MATLAB','fontsize',10,'fontweight','normal',...
    'hor','left','backgroundcolor',[1 1 1],'value',1,'tag','optimizecheck','userdata','methodcontrol','parent',u);
