function ravemakecolorbar(src,ev,ai)
% calls appropriate colorbar creation function
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu
handles=guidata(src);

if nargin<3;
    ai=handles.activeindex;
end

thistype=get(handles.allgraphs(ai),'userdata');
if ~isempty(thistype) && ~isempty(which(['ravemakecolorbar',thistype]))
    funhandle=str2func(['ravemakecolorbar',thistype]);
    funhandle(src,ev,ai);
else
    ravemakedefaultcolorbar(src,ev,ai);    
end


