function ravemovelegend(src,ev)
%move a legend by clicking/dragging it.
handles=guidata(src);

set(0,'userdata',get(handles.fig,'currentpoint'));

handles.temp.ax=src;
guidata(handles.fig,handles);

set(handles.fig,'WindowButtonMotionFcn',@raverelocatelegend);
set(handles.fig,'WindowButtonUpFcn',@raverelocatelegenddone);


function raverelocatelegend(src,ev)
handles=guidata(src);

startpoint=get(0,'userdata');
newpoint=get(handles.fig,'currentpoint');

xoffset=newpoint(1)-startpoint(1);
yoffset=newpoint(2)-startpoint(2);

oldpos=get(handles.temp.ax,'position');

%keep within limits:
if xoffset<0
    if oldpos(1)+xoffset<1;xoffset=oldpos(1)-1;end
end

if yoffset<0
    if oldpos(2)+yoffset<1;yoffset=oldpos(2)-1;end
end

if xoffset>0
    if oldpos(1)+oldpos(3)+xoffset>handles.wsdims(1);xoffset=handles.wsdims(1)-oldpos(1)-oldpos(3);end
end

if yoffset>0
    if oldpos(2)+oldpos(4)+yoffset>handles.wsdims(2);yoffset=handles.wsdims(2)-oldpos(2)-oldpos(4);end
end

newpos=[oldpos(1)+xoffset oldpos(2)+yoffset oldpos(3:4)];

set(handles.temp.ax,'position',newpos);
set(0,'userdata',newpoint);

function raverelocatelegenddone(src,ev)
handles=guidata(src);
set(handles.fig,'windowbuttonmotionfcn',@ravedefaultwindowbuttonmotionfcn);
set(handles.fig,'windowbuttonupfcn','');
















