function raveshowtabs(src,ev) %show em
handles=guidata(src);

if src==handles.fig %if this function is called as a figure keypressfcn:
    if ~strcmp(ev.Key,'escape');return;end;
end

set(handles.fig,'name','Rave');
set(handles.stopbutton,'visible','on')

hideobjs=findobj([handles.explorer,handles.tabaxes,handles.fronttabaxes,...
    handles.explorertitle,handles.titleaxes,handles.backtabaxes,handles.bgtabaxes handles.controltitle]);
set(hideobjs,'visible','on')
set([handles.fronttabaxes handles.backtabaxes,handles.bgtabaxes],'visible','off')

if ~strcmp(handles.activetab,'optimize')
    set(handles.optimizetabobjects(ishandle(handles.optimizetabobjects)),'visible','off')    
end


set(handles.tabobjects,'visible','on')

%turn on graph hittests:
set(handles.allblockers,'hittest','on');
set(handles.allblockers(ishandle(handles.allgraphs) & handles.sheet==handles.activesheet),'visible','on')
set(handles.expblockers,'visible','off');
set(handles.expblockers(ishandle(handles.allgraphs) & handles.sheet==handles.activesheet),'visible','on','visible','on');

if handles.sheet(handles.activeindex)==handles.activesheet
    if strcmp(handles.graphinfo.(handles.activetype).axesformat,'fixedsize');
        set(handles.grabbers{handles.activeindex}(1),'visible','on')
    else
        set(handles.grabbers{handles.activeindex},'visible','on')
    end
end
        
%set(handles.grabbers{handles.activeindex},'visible','off');

cvpos=get(handles.currentview,'position');

%turn on grid:
if get(handles.showgridbutton,'value')
    if handles.prefs.gridmode==1
        set(handles.lgrid,'visible','on')
    elseif handles.prefs.gridmode==2
        set(handles.lgrid,'visible','on')
        set(handles.mgrid,'visible','on')
    else
        set(handles.lgrid,'visible','on')
        set(handles.mgrid,'visible','on')
        set(handles.sgrid,'visible','on')
    end
end

%stretch out the scroll bar:
set(handles.hscroll,'position',[357 1 handles.width-373 16],...
    'sliderstep',[.02 cvpos(3)/((handles.prefs.gridsize*handles.wscols)-cvpos(3))],...
    'min',cvpos(3)/2,'max',handles.prefs.gridsize*handles.wscols-cvpos(3)/2,'value',cvpos(3)/2);

%restore leftmarginposition to 355 pixel
leftpos=get(handles.leftmargin,'position');
leftpos(3)=355;
set(handles.leftmargin,'position',leftpos);

toppos=get(handles.topmargin,'position');
set(handles.topmargin,'position',toppos+[0 -35 0 0])

%update workspaceposition
rightpos=get(handles.rightmargin,'position');
toppos=get(handles.topmargin,'position');
botpos=get(handles.bottommargin,'position');

handles.workspacedims=[rightpos(1)-leftpos(1)-leftpos(3),toppos(2)-botpos(2)-botpos(4)];
handles.workspacepos=[leftpos(1)+leftpos(3) botpos(2)+botpos(4) handles.workspacedims(1) handles.workspacedims(2)];

%stretch out the scroll bar:
cvpos=get(handles.currentview,'position');

cvpos(3)=min(handles.workspacepos(3),handles.prefs.wswidth);
cvpos(4)=min(handles.workspacepos(4),handles.prefs.wsheight);
set(handles.currentview,'position',cvpos);

set(handles.hscroll,'position',[357 1 handles.width-373 16],...
    'sliderstep',[.02 cvpos(3)/((handles.prefs.gridsize*handles.wscols)-cvpos(3))],...
    'min',cvpos(3)/2,'max',handles.prefs.gridsize*handles.wscols-cvpos(3)/2,'value',cvpos(3)/2);
set(handles.vscroll,'position',[handles.width-16 18 16 handles.height-54],...
    'min',cvpos(4)/2,'max',handles.prefs.gridsize*handles.wsrows-cvpos(4)/2,...
    'sliderstep',[.05 cvpos(4)/((handles.prefs.gridsize*handles.wsrows)-cvpos(4))],...
    'value',handles.prefs.gridsize*handles.wsrows-cvpos(4)/2)

%update handles
handles.tabsvisible=1;
guidata(handles.fig,handles);

%move view to new origin
if ~handles.tablemode
    ravemoveview(handles.fig,[],[0 handles.prefs.gridsize*handles.wsrows]);
else
    ravedisplaymaintable(handles.fig,[]);
end

set(handles.tablemodebutton,'visible','on');
set(handles.showgridbutton,'visible','off');
set(handles.openglbutton,'visible','on');
set(handles.zoombutton,'visible','on');
set(handles.hideshowbutton,'visible','on');
set(handles.newbutton,'visible','on');
set(handles.infobar,'visible','on');
set(handles.fig,'windowkeypressfcn',[]);

%move page controls:
set(handles.pageedit,'position',[280+5 handles.height-31 40 20]);
set(handles.pagecontrols.left,'position',[263+5 handles.height-35 17 27]);
set(handles.pagecontrols.right,'position',[320+5 handles.height-35 17 27]);

lbutton=imread('leftbuttonup.png','backgroundcolor',handles.colors.frame);
rbutton=imread('rightbuttonup.png','backgroundcolor',handles.colors.frame);
set(handles.pagecontrols.left,'cdata',lbutton);
set(handles.pagecontrols.right,'cdata',rbutton);
set(handles.pageedit,'backgroundcolor',handles.colors.frame)
