%note, this one isn't a function. Must have handles previously loaded.
%similar to raveresizeaxes, but fixes rotations/limits for 3d graphs.
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu

realll=handles.activegraph;
fakeee=[handles.fakeax(handles.activeindex) handles.fakerax(handles.activeindex)];


set(fakeee,'xlim',get(realll,'xlim'),'ylim',get(realll,'ylim'),'zlim',get(realll,'zlim'));
set(fakeee,'xtick',get(realll,'xtick'),'ytick',get(realll,'ytick'),'ztick',get(realll,'ztick'))
set(fakeee,'xticklabel',get(realll,'xticklabel'),'yticklabel',get(realll,'yticklabel'),'zticklabel',get(realll,'zticklabel'))

set(fakeee,'cameratarget',get(realll,'cameratarget'))
set(fakeee,'cameraposition',get(realll,'cameraposition'))


set(fakeee,'xticklabel','','yticklabel','','zticklabel','')
set(cell2mat(get(fakeee,'xlabel')),'string','');
set(cell2mat(get(fakeee,'ylabel')),'string','');
set(cell2mat(get(fakeee,'zlabel')),'string','');

%raveresizeaxes(handles.fig,[],handles.activeindex);

[az,el]=view(realll);
view(fakeee(1),az,el);
view(fakeee(2),az,el);
%view(handles.fakerax(ai),newaz,newel);

