function rotate3dbutton_callback(src,ev,value)
%this is the callback for the buttons that allow rotation of 3d graphs,
%found on the viewtabs of 3d graphs and in the "rotate3dbutton" control.

handles=guidata(src);
handles.rotater=value;
guidata(handles.fig,handles);

rotatebutton=findobj(handles.tabobjects,'tag','rotate3dtoggle');
if ~isempty(rotatebutton)
    if handles.rotater
        pushtogglebutton(rotatebutton,[]);
    else
        unpushtogglebutton(rotatebutton,[]);
    end
end

rotatebuttons=findobj(handles.allgraphs(ishandle(handles.allgraphs)),'userdata','rotate3dbutton');
if ~isempty(rotatebuttons)
    idx=find(ismember(handles.allgraphs,rotatebuttons));
    for i=1:numel(idx)
        uuu=get(handles.fakeax(idx(i)),'userdata');
        if handles.rotater
        pushtogglebutton(uuu.view.thebutton,[]);
        else
        unpushtogglebutton(uuu.view.thebutton,[]);
        end
    end
end




