function formattab(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2011 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.


ravechangetab(src,[]);
handles=guidata(src);
set(handles.infobar,'string','');
handles.activetab='format';
guidata(src,handles);


%% customize for currentgraph type

if handles.tablemode
    formattabmaintable(handles.fig,[]);
elseif ~isempty(handles.activegraph)
    if exist(which(['formattab',handles.activetype]),'file')
        eval(['formattab',handles.activetype,'(handles.fig,[]);']);
    else
        formattabgeneric(handles.fig,[]);
        return;
    end
else
    formattabgeneric(handles.fig,[]);
end

