function vertscroll(src,eventdata,fighandle)
%load handles
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu

src=fighandle; %need fighandle because src input is a java handle, not matlab handle.

handles=guidata(src);

cvpos=get(handles.currentview,'position');
%get new vertical centerpoint
newpos=get(handles.vscroll,'value');
%construct "clicked" vector
clicked=floor([cvpos(1)+cvpos(3)/2 newpos]);
ravemoveview(handles.fig,[],clicked);