function F=generatesums(N)
%generates all sets of integers that sum to N. Output is a cell array. Do
%not use for large N.

if N==1;
    F=1;
    return
end

n=N;
F=cell(0);
F{1}=[N zeros(1,n-1)];

while true
    %find last element of N that is greater than 1.
    idx=find(N>1,1,'last');
    if numel(N)==idx
        N(end+1)=0;
    end
    N(idx)=N(idx)-1;
    N(idx+1)=N(idx+1)+1;
    
    if issorted(fliplr(N));
        F{end+1}=[N zeros(1,n-numel(N))];
    end
    if all(N==1);break;end   
end

F=cell2mat(F');