function udata=raveinitializeudataprefprofiler(src,ev)

handles=guidata(src);

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
%inputs.xdials=[];

for dd=numel(handles.alldata):-1:1 %for each dataset:
    y=find(handles.isfunction{dd},1);
    if ~isempty(y)
        inputs.y=y;
        inputs.dataset=dd;
        inputs.x=handles.funvars{dd}{y}; %note, these are names, need to convert them to numbers
        udata.view.isvalid=1;
        break
    end
end

if isempty(y)
    inputs.x=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
end


udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.y=inputs.y;
udata.view.x=inputs.y;
udata.view.z=0;
udata.view.s=0;
udata.view.c=0;
udata.view.dataset=inputs.dataset;
udata.view.analysis=1;
udata.view.response=0; %response check box value
udata.view.exclude=0; %exclude constant check box value
udata.view.numpts=10; %number of points to sample profiler at
udata.view.ylabels=[]; %handles of ylabels. filled in by ravecreatederivativeprofiler
udata.view.singleyaxis=0; %plot all responses on same y axis
udata.view.constraints=0;
udata.view.usevariablecolors=0;
udata.view.showcurrentpoint=1;


%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.marker='.'; % marker string
udata.format.markersize=2; %marker size
udata.format.mcmap=1; %marker colormap (index?)
udata.format.linestyle='-'; %line style string
udata.format.linesize=2; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
udata.format.linecolor=[0 .5 1]; %main data series color;
udata.format.haircolor=handles.colors.text; %hair line data series color;
udata.format.linecolorString=num2str(udata.format.linecolor);
udata.format.smarthaircolors=1; %make hair lines grey if this variable is constant.
udata.format.showpoints=0;
udata.format.pointcolor=[.8 .8 .8];
udata.format.reversecolors=0;
udata.format.title='';
udata.format.nxlabelrows=0;
udata.format.colorbar=0;
udata.format.globallimits=1;

%make explre tab info:
udata.explore.option=[];
udata.explore.method=cell(0);