function udata=raveinitializeudatahistogram(src,ev)

handles=guidata(src);


%make histogram by default contain the first variable in the
%list. for histogram only x is used, not y,z,c...
x=find(~handles.isconstant{1},1);


udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.analysis=1;
udata.view.dataset=1;
udata.view.x=x;
udata.view.y=0;
udata.view.z=0;
udata.view.s=0;
udata.view.c=0;
udata.view.response=0; %response check box value
udata.view.exclude=1; %exclude constant check box value
udata.view.outliers=0; %remove outliers check box value
udata.view.stddevs=3; %number of std deviations that define outliers
udata.view.nbars=20; %number of bars to draw.
udata.view.barwidth=1; %relative width of bars.
%udata.view.showstats=1; %show distribution statistics
udata.view.normalize=0; %show probabilities instead of counts;
udata.view.sharedylim=0; %force all graphs to have same ylim;
udata.view.stack=0; %stack vertically instead of horizontally;
udata.view.constraints=0;
udata.view.commonaxis=0;
udata.view.discreteascategory=0;
udata.view.edges={};
udata.view.series={'main','selected','filtered'};

%make format tab info:
udata.format.bg=1; %index for background color;
udata.format.grid=1; %index for grid;
udata.format.facecolor=[102 153 234]./255; %bar face color
udata.format.edgecolor=handles.colors.edgecolor;
udata.format.drawedge=0;
udata.format.orient='vertical'; %bar orientation
udata.format.nxlabelrows=0;

%make explre tab info:
udata.explore.option=[];
udata.explore.method=cell(0);
