function raveupdatetickshistogram(src,ev,axis)

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

[r,c]=find(handles.subax{handles.activeindex}==src);

%first replace ticks for all axes (important, do this for all axes to avoid
%errors with ravemovecustomticks
for i=1:numel(axis)
    switch axis(i)
        case 'x'
            ravemaketextticks(src,[],udata.view.x(c),[],[]);
        case 'y'
            yticks=get(src,'ytick');
            yticklabels=num2cell(yticks);
            yticklabels=cellfun(@num2str,yticklabels,'UniformOutput',false);
            ravemaketextticks(src,[],[],0,[],[],[],yticklabels)
    end
end

%now relocate all ticks to proper location:
ravemovecustomticks(src,[],0);