function raveTableMouseReleaseCallback(jsrc,jev,src)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2011 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

MouseEvent=jev;

if MouseEvent.getButton > 1    %right click
    
    handles=guidata(src);
   
    %determine where to put context menu:  
    xpos1=get(handles.maintable.handle,'position');
    xpos2=MouseEvent.getX;
    xpos3=handles.maintable.jtable.getVisibleRect.getX();
    
    ypos1=get(handles.maintable.handle,'position');
    ypos2=MouseEvent.getY;
    ypos3=handles.maintable.jtable.getVisibleRect.getY();
    
    colHeader=handles.maintable.jtable.getTableHeader();
    ypos4=colHeader.getHeight();
    
   finalpos=[xpos1(1)+xpos2(1)-xpos3 ypos1(2)+ypos1(4)-ypos2-ypos4+ypos3]; 
   set(handles.contextmenus.maintable,'position',finalpos,'visible','on');
   set(0,'userdata',MouseEvent);
  
end