settings.enforcesideconstraints=1;
settings.allowconstraints=1;
settings.maxobjectives=[1 inf];
settings.isstoppable=1;

settings.Algorithm={'Algorithm','active-set'};
%settings.MaxTime={'Time Limit (s)';60};
settings.MaxIter={'Max Iterations';inf};
settings.MaxFunEvals={'Max Fun. Evals';'3000*nVars'};
%settings.StallIter={'Stall Iter Limit';'500*nVars'};
settings.TolFun={'Objective Tolerance';1e-6};
settings.TolX={'X Tolerance',[]};
settings.ObjectiveLimit={'Objective Limit';-inf};
settings.PlotFcns={'Plot Function';'raveanimateotb'};
settings.Display={'Display';'final'};

settings.FunValCheck={'FunValCheck','off'};
settings.OutputFcn={'OutputFcn',[]};
%settings.ActiveConstrTol={'ActiveConstrTol',[]};
settings.AlwaysHonorConstraints={'AlwaysHonorConstraints','bounds'};
%settings.BranchStrategy={'BranchStrategy',[]};
settings.DerivativeCheck={'DerivativeCheck','off'};
settings.Diagnostics={'Diagnostics','off'};
settings.DiffMaxChange={'DiffMaxChange',0.1000};
settings.DiffMinChange={'DiffMinChange',1.0000e-008};
settings.FinDiffType={'FinDiffType','forward'};
%settings.GoalsExactAchieve={'GoalsExactAchieve',[]};
settings.GradConstr={'GradConstr','off'};
settings.GradObj={'GradObj','off'};
%settings.HessFcn={'HessFcn',[]};
settings.Hessian={'Hessian',[]};
settings.HessMult={'HessMult',[]};
settings.HessPattern={'HessPattern','sparse(ones(nVars))'};
%settings.HessUpdate={'HessUpdate',[]};
%settings.InitialHessType={'InitialHessType',[]};
%settings.InitialHessMatrix={'InitialHessMatrix',[]};
settings.InitBarrierParam={'InitBarrierParam',0.1000};
settings.InitTrustRegionRadius={'InitTrustRegionRadius','sqrt(nVars)'};
%settings.Jacobian={'Jacobian',[]};
%settings.JacobMult={'JacobMult',[]};
%settings.JacobPattern={'JacobPattern',[]};
%settings.LargeScale={'LargeScale','on'};
%settings.LevenbergMarquardt={'LevenbergMarquardt',[]};
%settings.LineSearchType={'LineSearchType',[]};
%settings.MaxNodes={'MaxNodes',[]};
settings.MaxPCGIter={'MaxPCGIter','max(1,floor(nVars/2))'};
settings.MaxProjCGIter={'MaxProjCGIter','2*(nVars-numberofequalities)'};
%settings.MaxRLPIter={'MaxRLPIter',[]};
settings.MaxSQPIter={'MaxSQPIter','10*max(nVars,numberofinequalities+numberofbounds)'};
%settings.MeritFunction={'MeritFunction',[]};
%settings.MinAbsMax={'MinAbsMax',[]};
%settings.NodeDisplayInterval={'NodeDisplayInterval',[]};
%settings.NodeSearchStrategy={'NodeSearchStrategy',[]};
%settings.NonlEqnAlgorithm={'NonlEqnAlgorithm',[]};
%settings.NoStopIfFlatInfeas={'NoStopIfFlatInfeas','off'};
%settings.PhaseOneTotalScaling={'PhaseOneTotalScaling','off'};
%settings.Preconditioner={'Preconditioner',[]};
settings.PrecondBandWidth={'PrecondBandWidth',0};
settings.RelLineSrchBnd={'RelLineSrchBnd',[]};
settings.RelLineSrchBndDuration={'RelLineSrchBndDuration',1};
settings.ScaleProblem={'ScaleProblem','obj-and-constr'};
%settings.Simplex={'Simplex',[]};
settings.SubproblemAlgorithm={'SubproblemAlgorithm','ldl-factorization'};
settings.TolCon={'TolCon',1.0000e-006};
settings.TolConSQP={'TolConSQP',1.0000e-006};
%settings.TolGradCon={'TolGradCon',1.0000e-006};
settings.TolPCG={'TolPCG',0.1000};
settings.TolProjCG={'TolProjCG',0.0100};
settings.TolProjCGAbs={'TolProjCGAbs',1.0000e-010};
%settings.TolRLPFun={'TolRLPFun',[]};
%settings.TolXInteger={'TolXInteger',[]};
settings.TypicalX={'TypicalX','x0'};
settings.UseParallel={'UseParallel','never'};


