function h=ravedrawconstraint(src,ai,selectedconstraints) %#ok<INUSD>
%note: src MUST be the handle of the graph in which to draw the constraint.
% ai is the index of the graph containing the axes in src (as the main axes or a subax)
% thisconstraint is an index into the constraint list.
% h is the handles of all lines created by this function.
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu

h=[];

handles=guidata(src);

thistype=get(handles.allgraphs(ai),'userdata');


if ~isempty(which(['ravedrawconstraint',thistype]))
   eval(['ravedrawconstraint',thistype,'(src,ai,selectedconstraints);']);
else
    set(handles.infobar,'string','Selected graph type does not have a constraint drawing function.');
end
