function raveupdatemodeltypes(src,ev)

handles=guidata(src);

raveroot=which('rave');
raveroot=raveroot(1:end-6);
handles.modelinfo=struct;

maindir=fullfile(raveroot,'modeling');
modeltypes=dir(maindir);
for g=3:numel(modeltypes)
    if modeltypes(g).isdir
        thisname=modeltypes(g).name;
        %remove leading numbers:
        firstletter=find(isstrprop(thisname,'alpha'),1);
        keyword=thisname(firstletter:end);
        fid=fopen(fullfile(maindir,thisname,'modelinfo.txt'),'r');
        handles.modelinfo.(keyword).longname=fgetl(fid);
        fclose(fid);
        
        %check if directory is on path:
        if isempty(which(fullfile(maindir,thisname,'modelinfo.txt')))
            addpath(fullfile(maindir,thisname))
        end
    end
end

guidata(handles.fig,handles);

