function raveupdateticksmatrix(src,ev,axis)
%src must == handles.allgraphs(ai);
%axis is a string that is some combination of xyz indicating which axes to
%update (not a cell of strings, just a string of length 1-3)

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

[r,c]=find(handles.subax{handles.activeindex}==src);

%first replace ticks for all axes (important, do this for all axes to avoid
%errors with ravemovecustomticks
for i=1:numel(axis)
    switch axis(i)
        case 'x'
            %drawnow;
            if r==1;
            ravemaketextticks(src,[],udata.view.x(c),[],[]);
            end
        case 'y'
            %drawnow;
            if c==1
            ravemaketextticks(src,[],[],udata.view.y(r),[]);
            end
    end
end

%now relocate all ticks to proper location:
ravemovecustomticks(src,[],0);
